Whether the end user is part of a lending portfolio
Example:
true
order_by
enum<string> | null
default:last_updated_desc
Order to return end users by
Available options:
last_updated_desc,
last_updated_asc,
created_desc,
created_asc,
null
heron_id
string | null
Unique ID generated by Heron
Example:
"eus_9qQBmrBQMMUkek76UmiQ7m"
end_user_id
string | null
Filter by ID associated with end_user_id field in transactions
Example:
"your_end_user_id"
tags
string[] | null
Filter by tag Heron IDs. End users holding any active requested tag are returned. Unknown and soft-deleted tag IDs do not match any end users.
page
integer | null
Pagination page number (optional). If provided, 'limit' must also be provided.
Required range: x >= 1
limit
integer | null
Pagination limit per page (optional). If provided, 'page' must also be provided.
Required range: 1 <= x <= 10000
include_tags
boolean
default:false
Whether to include the tags applied to each end user
Example:
true
with_policy_result
any | null
Only end users whose policy result was this.
Available options:
passed,
failed,
review_required,
missing_data,
execution_error,
null
with_crm_sync_result
any | null
Available options:
success,
failure,
no_sync_attempted,
null
in_human_review
boolean | null
Filter by whether an active document is pending human review
include_submitting_brokers
boolean
default:false
Whether to include the brokers who submitted each end user
Example:
true
lendsaas_deal_ids
string[] | null
Only end users linked to any of these LendSaaS deal IDs. Requires a LendSaaS CRM integration.
Required array length: 1 - 100 elements
Minimum string length: 1
include_lendsaas_deal_ids
boolean
default:false
Whether to include the LendSaaS deal IDs linked to each end user
Example:
true
include_crm_queue
boolean
default:false
Whether to include the CRM queue each end user's workflow last synced it to (currently read from LendSaaS sync steps)
Example:
true
interval_start
string<date-time> | null
interval_end
string<date-time> | null
include_updates_in_interval
boolean
default:false
When true, interval_start and interval_end match end users created or last updated within the window. Bounds are inclusive only when this flag is true.
Response
200 - application/json
OK
_meta
object
Pagination metadata. Present only if pagination parameters ('page' and 'limit') are provided in the request.
Show child attributes
end_users
object[]
Show child attributes
Was this page helpful?
⌘I
List EndUsers with Summary Information
curl --request GET \ --url https://app.herondata.io/api/end_users/summary \ --header 'x-api-key: <api-key>'